Package picard.sam.util

## Class PrimaryAlignmentKey

- java.lang.Object
- - picard.sam.util.PrimaryAlignmentKey

- All Implemented Interfaces:
    `Comparable<PrimaryAlignmentKey>`

      public final class PrimaryAlignmentKey
      extends Object
      implements Comparable<PrimaryAlignmentKey>

  It is useful to define a key such that the key will occur at most once among the primary alignments in a given file (assuming the file is valid). The read name + pairing status should be sufficient for this.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrimaryAlignmentKey​(htsjdk.samtools.SAMRecord rec)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(PrimaryAlignmentKey that)` |
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrimaryAlignmentKey

          public PrimaryAlignmentKey​(htsjdk.samtools.SAMRecord rec)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo​(PrimaryAlignmentKey that)

      Specified by:
        `compareTo` in interface `Comparable<PrimaryAlignmentKey>`